package com.brilliance.isc.common.api;

import com.brilliance.isc.common.api.usrmd.service.UsrmdApiService;
import com.brilliance.isc.common.api.usrmd.vo.UsrmdRequest;
import com.brilliance.isc.common.api.usrmd.vo.UsrmdResponse;
import com.brilliance.isc.common.umdmod.service.UmdmodService;
import com.brilliance.isc.common.umdmod.vo.UmdmodVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UsrmdApiServiceImpl implements UsrmdApiService {
    @Autowired
    private UmdmodService umdmodService;

    @Override
    public UsrmdResponse clacUsrMingdan(UsrmdRequest usrmdRequest) {
        usrmdRequest.reset();
        UmdmodVo umdmodVo = usrmdRequest.getUmdmodVo();
        umdmodVo.reset();
        umdmodService.assertUmdmod(umdmodVo);
        return UsrmdResponse.builder().umdList(umdmodVo.getUmdList()).caseno(umdmodVo.getCASE_NO()).excuteflg(umdmodVo.getExcuteflg()).build();
    }

    @Override
    public UsrmdResponse initUmdList(UsrmdRequest usrmdRequest) {
        usrmdRequest.reset();
        UmdmodVo umdmodVo = usrmdRequest.getUmdmodVo();
        umdmodVo.reset();
        umdmodService.initUmdmod(umdmodVo);
        // 分别设置案例编号，案例列表，交易对手名称
        return UsrmdResponse.builder().caseno(umdmodVo.getCASE_NO())
                .umdList(umdmodVo.getUmdList())
                .bennam(umdmodVo.getBennam()).excuteflg(umdmodVo.getExcuteflg()).build();
    }
}
